Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Interface Injectable

All Known Implementing Classes:
  ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef, ResourceBase

    public interface Injectable

Method Summary
`void` `addInjectionTarget(String injectionTargetName, String jndiName)`
`List<InjectionTarget>` `getInjectionTargets()`
`String` `getName()`

Method Detail

### getName

    String getName()

### addInjectionTarget

    void addInjectionTarget(String injectionTargetName,
                            String jndiName)

### getInjectionTargets

    List<InjectionTarget> getInjectionTargets()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.